/***************************************************************
 * Name:      wxiscanapp.h
 * Purpose:   Defines Application Class
 * Author:    Daniel Nell (daniel.nell@nellresearch.de)
 * Created:   2008-05-04
 * Copyright: Daniel Nell (www.nellresearch.de)
 * License:   GPL2
 **************************************************************/

#ifndef WXISCANAPP_H
#define WXISCANAPP_H

#include <wx/app.h>

class wxIScanFrame;

class wxIScanApp : public wxApp
{
  public:
    /// Program initialization.
    virtual bool OnInit();

    /// Initialize command line parameter handling.
    virtual void OnInitCmdLine( wxCmdLineParser& oParser );

    /// Handle filenames on the command line.
    virtual bool OnCmdLineParsed( wxCmdLineParser& oParser );

    /// ...
    virtual wxString GetImageFilter();

  private:
    /// Adds image handlers to the image handler list.
    virtual void AddImageHandler( wxImageHandler* poHandler );

  private:
    wxLocale m_oLocale;                 ///< Locale the application is using.
    wxString m_strImageFilter;          ///< Current image file filter.
    wxString m_strImageFilterList;      ///< Image file filter list.
    wxIScanFrame* m_poFrame;            ///< A pointer to the application's main window.
};

DECLARE_APP( wxIScanApp )

#endif // WXISCANAPP_H
