/***************************************************************
 * Name:      wxiscanimageprofile.h
 * Purpose:   ...
 * Author:    Daniel Nell (daniel.nell@nellresearch.de)
 * Created:   2009-01-12
 * Copyright: Daniel Nell (www.nellresearch.de)
 * License:   GPL2
 **************************************************************/

#ifndef WXISCANIMAGEPROFILE_H_INCLUDED
#define WXISCANIMAGEPROFILE_H_INCLUDED

class wxIScanImageProfile //: public wxObject
{
  public:
    /// \brief Standard constructor
    ///
    /// ...
    wxIScanImageProfile( int nProfileIndex, int nResolution );

    /// Virtual destructor.
    virtual ~wxIScanImageProfile(){}

  public:
    virtual wxString GetName(){ return m_strProfileName; }  ///<  Returns the profile name.
    virtual wxImage ApplyToImage( wxImage oImage );         ///<  Apply changes to the give image.

  private:
    int m_nProfileIndex;                                    ///<  Contains the profile's index number.
    wxString m_strProfileName;                              ///<  Contains the profile's name.
    bool bCrop;                                             ///<  Crop image?
    int x;                                                  ///<  x-coordinate in pixels of the upper left corner of the cropping region.
    int y;                                                  ///<  y-coordinate in pixels of the upper left corner of the cropping region.
    int w;                                                  ///<  Width of the cropping region in pixels.
    int h;                                                  ///<  Height of the cropping region in pixels.
    bool bGreyScale;                                        ///<  Convert image to greyscale?
    bool bMonoChrome;                                       ///<  Convert image to monochrome?
    int nMonoThreshold;                                     ///<  Treshhold value to segment black and white while converting to greyscale.
};

#endif // WXISCANIMAGEPROFILE_H_INCLUDED
